Wie kann ich den Zend Optimizer, Zend Guard Loader oder ionCube Loader aktivieren?

~ 0 min
02.12.2019

Wenn Sie den Zend Optimizer (bis PHP 5.2.x), den Zend Guard Loader (ab PHP 5.3.x) oder den ionCube Loader auf Ihrem Webhosting-Paket einsetzen möchten, so müssen Sie in jedem Verzeichnis, in dem eine entsprechend kodierte Datei hinterlegt ist beziehungsweise die Optimierung aktiv sein soll, eine Datei mit dem Namen php.ini anlegen.

Der Inhalt der Datei variiert je nachdem, welche dieser drei Programme Sie verwenden möchten.

Aktivierung von Zend Optimizer & Zend Guard Loader:

Inhalt bei Nutzung von PHP 4.4.x:

[Zend]
zend_extension=/usr/local/Zend/ZendOptimizer_4_4_x.so
Hinweis: Beachten Sie bitte, dass PHP 4.4 nur bei Paketen, die bis zum 30.06.2011 initialisiert wurden, zur Verfügung steht.

Inhalt bei Nutzung von PHP 5.2.x:

[Zend]
zend_extension=/usr/local/Zend/ZendOptimizer_5_2_x.so

Inhalt bei Nutzung von PHP 5.3.x:

[Zend]
zend_extension=/usr/local/Zend/ZendGuardLoader.so

Aktivierung des ionCube Loaders:

Inhalt bei Nutzung von PHP 4.4.x:

[Zend]
 zend_extension=/usr/local/ioncube/ioncube_loader_lin_4.4.so
Hinweis: Beachten Sie bitte, dass PHP 4.4 nur bei Paketen, die bis zum 30.06.2011 initialisiert wurden, zur Verfügung steht.

Inhalt bei Nutzung von PHP 5.2.x:

[Zend]
zend_extension=/usr/local/ioncube/ioncube_loader_lin_5.2.so

Inhalt bei Nutzung von PHP 5.3.x:

[Zend]
zend_extension=/usr/local/ioncube/ioncube_loader_lin_5.3.so

Inhalt bei Nutzung von PHP 5.4.x:

[Zend]
zend_extension=/usr/local/ioncube/ioncube_loader_lin_5.4.so

Inhalt bei der Nutzung von PHP 5.5.x:

[Zend]
zend_extension=/usr/local/ioncube/ioncube_loader_lin_5.5.so

Inhalt bei der Nutzung von PHP 5.6.x:

[Zend]
zend_extension=/usr/local/ioncube/ioncube_loader_lin_5.6.so

Inhalt bei der Nutzung von PHP 7.0.x :

[Zend]
zend_extension=/usr/local/ioncube/ioncube_loader_lin_7.0.so

Inhalt bei der Nutzung von PHP 7.1.x :

[Zend]
zend_extension=/usr/local/ioncube/ioncube_loader_lin_7.1.so

Inhalt bei der Nutzung von PHP 7.2.x :

[Zend]
zend_extension=/usr/local/ioncube/ioncube_loader_lin_7.2.so

Inhalt bei der Nutzung von PHP 7.3.x :

[Zend]
zend_extension=/usr/local/ioncube/ioncube_loader_lin_7.3.so

Bitte beachten Sie das der ioncube-Loader für PHP 7 nur bei Webhosting-Paketen verwendet werden kann, die nach dem 15.09.2014 freigeschaltet wurden!

Eine parallele Nutzung von Zend Optimizer/Zend Guard Loader und des ionCube Loaders ist möglich.

Sie müssen bei der Anordnung in der Datei php.ini jedoch darauf achten, dass die Anweisung für den ionCube Loader vor dem Eintrag der Zend Software hinterlegt wird.

Hinweis: In diesem Beitrag erfahren Sie, wie Sie eine bestimmte PHP-Version auf Ihrem Webhosting-Paket aktivieren.

Durchschnittliche Bewertung 0 (0 Abstimmungen)

Kommentieren nicht möglich